function f = oneDu_parmInterval(A, B, C, lambda_u, r0, step, eps_tol, ...
    alpha, tau, a, b, c)


thisError = 1;
counter = 0;

while ((thisError > eps_tol) & (counter <= 20))
 
    r = r0 - counter*step     
   
    this_P = [horner(r, A, N), ...
              horner(r, B, N), ...
              horner(r, C, N)];
    lhs = inv_henon3D(this_P, alpha, tau, a, b, c)';
    rhs = [horner(lambda_u^(-1)*r, A, N), ...
          horner(lambda_u^(-1)*r, B, N), ...
          horner(lambda_u^(-1)*r, C, N)];
    rightError = norm(lhs - rhs); 
    
    this_P = [horner(-r, A, N), ...
              horner(-r, B, N), ...
              horner(-r, C, N)];
    lhs = inv_henon3D(this_P, alpha, tau, a, b, c)';
    rhs = [horner(-lambda_u^(-1)*r, A, N), ...
           horner(-lambda_u^(-1)*r, B, N), ...
           horner(-lambda_u^(-1)*r, C, N)];
    leftError = norm(lhs - rhs); 
    
    thisError = max(leftError, rightError)
    counter = counter + 1; 
end

f = r;





