function D =  Dfinvk_circ_phi_highDim(k, phi, p, A, a, b, dimNum);


%Names in this program are not very descriptive.
%For better explination see program 'Dfk_circ_P.m'

%Need innermost terms for Chain Rule.
P_phi = p + A*phi;
DP_at_phi = A;
Df_at_P_phi = henonLikeDifferential_inv(P_phi, a, b, dimNum);

%Chain Rule for D[f o P](s,t):
D_of_f_circ_P_at_phi = Df_at_P_phi*DP_at_phi;

Differential = D_of_f_circ_P_at_phi;

%Apply the chain rule iteratively to 
%compute D[f^k o P](s,t):
for n = 2:k
   %Evaluate z = [f^{n-1} o P](s,t):
   fn_minusOne_circP = inverse_iterate_point_k_highDim(P_phi, n-1, a, b, dimNum);
   %evaluate Df at z:
   Df_at_fn_minusOne_circP = ...
       henonLikeDifferential_inv(fn_minusOne_circP, a, b, dimNum);
   %Chain Rule: compose with previous stuff:
   Differential = Df_at_fn_minusOne_circP*Differential;  
end    

D = Differential; 