function f = Error_1Ds(A, B, C, alpha, tau, ...
                               a, b, c, lambda, N, r);



[fA, fB, fC] = compose_f_P1D(N, A, B, C, alpha, tau, a, b, c);
[A_lambda, B_lambda, C_lambda] = compose_P_lambda_1D(N, A, B, C, lambda);


E1 = fA - A_lambda;
E2 = fB - B_lambda;
E3 = fC - C_lambda;

error = 0;
for n = 0:N
   error = error + norm([E1(n+1), E2(n+1), E3(n+1)])*r^n;
end


f = error;



