function f = Error_2D(A, B, C, alpha, tau, ...
                               a, b, c, lambda_1, lambda_2, N, r);



[fA, fB, fC] = compose_f_P(N, A, B, C, alpha, tau, a, b, c);
[A_lambda, B_lambda, C_lambda] = compose_P_lambda_2D(N, A, B, C, lambda_1, lambda_2);


E1 = fA - A_lambda;
E2 = fB - B_lambda;
E3 = fC - C_lambda;

error = 0;
for n = 0:N
   for m = 0:N
       error = error + norm([E1(n+1, m+1), E2(n+1, m+1), E3(n+1, m+1)])*r^(n+m);
   end
end

f = error;

