clear
format long

%startintlab


a = intval('1.6')
b = intval('0.1')
numDim = 10

s = 10^(-2)
dim = numDim    %Dimension of the manifolds

approxInfty = 6;
theSum2 = 0;

for alpha1 = 0:approxInfty
    for alpha2 = 0:approxInfty
       if ((alpha1 + alpha2) >= 2) & ((alpha1 + alpha2) <= approxInfty)
          theSum2 = theSum2 + s^(alpha1 + alpha2); 
       end
    end
end

theSum2 = theSum2/s^2
C_n2 = linearApproxCombConst_C(s, 2)



theSum3 = 0;

for alpha1 = 0:approxInfty
    for alpha2 = 0:approxInfty
       for alpha3 = 0:approxInfty
            if ((alpha1 + alpha2 + alpha3) >= 2) & ((alpha1 + alpha2 + alpha3) <= approxInfty)
                theSum3 = theSum3 + s^(alpha1 + alpha2 + alpha3); 
            end
       end
    end
end

theSum3 = theSum3/s^2
C_n3 = linearApproxCombConst_C(s, 3)





theSum4 = 0;

for alpha1 = 0:approxInfty
    for alpha2 = 0:approxInfty
       for alpha3 = 0:approxInfty
           for alpha4 = 0:approxInfty 
                if ((alpha1 + alpha2 + alpha3 + alpha4) >= 2) ...
                        & ((alpha1 + alpha2 + alpha3 + alpha4) <= approxInfty)
                    theSum4 = theSum4 + s^(alpha1 + alpha2 ...
                        + alpha3 + alpha4); 
                end
           end
       end
    end
end

theSum4 = theSum4/s^2
C_n3 = linearApproxCombConst_C(s, 4)




theSum2 = 0;

for alpha1 = 0:approxInfty
    for alpha2 = 0:approxInfty
       if ((alpha1 + alpha2) >= 2) & ((alpha1 + alpha2) <= approxInfty)
          theSum2 = theSum2 + (alpha1 + alpha2)*s^(alpha1 + alpha2); 
       end
    end
end

theSum2 = theSum2/s^2
K_n2 = linearApproxCombConst_K(s, 2)


theSum3 = 0;

for alpha1 = 0:approxInfty
    for alpha2 = 0:approxInfty
       for alpha3 = 0:approxInfty
            if ((alpha1 + alpha2 + alpha3) >= 2) & ((alpha1 + alpha2 + alpha3) <= approxInfty)
                theSum3 = theSum3 + (alpha1 + alpha2 + alpha3)*s^(alpha1 + alpha2 + alpha3); 
            end
       end
    end
end

theSum3 = theSum3/s^2
K_n3 = linearApproxCombConst_K(s, 3)


theSum4 = 0;


for alpha1 = 0:approxInfty
    for alpha2 = 0:approxInfty
       for alpha3 = 0:approxInfty
           for alpha4 = 0:approxInfty 
                if ((alpha1 + alpha2 + alpha3 + alpha4) >= 2) ...
                        & ((alpha1 + alpha2 + alpha3 + alpha4) <= approxInfty)
                    theSum4 = theSum4 + ...
                        (alpha1 + alpha2 + alpha3 + alpha4)*s^(alpha1 + alpha2 ...
                        + alpha3 + alpha4); 
                end
           end
       end
    end
end

theSum4 = theSum4/s^2
K_n3 = linearApproxCombConst_K(s, 4)









