function varargout=compose_invf_P(k, A, B, C, alpha, tau, a, b, c);

Cprime = zeros(k+1,k+1);

for (n = 0:k) 
   for (m = 0:k)
     thisCoef = -tau*B(m+1,n+1) + A(m+1,n+1);
     temp1 = 0;
     temp2 = 0;
     temp3 = 0;
     for (i = 0:n)
        for(j = 0:m)
            temp1 = temp1 + B(m-j+1, n-i+1)*B(j+1,i+1); 
        end
     end   
     temp1 = -a*temp1;
     
     for (i = 0:n)      
        for(j = 0:m)
            temp2 = temp2 + B(m-j+1,n-i+1)*C(j+1,i+1); 
        end
     end   
     temp2 = -b*temp2;
     
     for (i = 0:n)
        for(j = 0:m)
            temp3 = temp3 + C(m-j+1,n-i+1)*C(j+1,i+1); 
        end
     end   
     temp3 = -c*temp3;
     
     Cprime(m+1, n+1) = thisCoef + temp1 + temp2 + temp3;
   end    
end    

Cprime(1,1) = -alpha + Cprime(1,1); 


Aprime = B;
Bprime = C;

%================================================================
%Results:
%================================================================


%Return:
varargout(1,1)={Aprime};
varargout(2,1)={Bprime};
varargout(3,1)={Cprime};
