function [Ps] = computeHenonLikeUnstabCoeff_4_intval(p, Lambda, Q, scale, a, b, order, Ps);




Dfp = henonLikeDifferential_intval(p, a, b, 4);
Id = intval(eye(4));
lambda_1 = Lambda(1,1)
lambda_2 = Lambda(2,2)
lambda_3 = Lambda(3,3)


N = order;

Ps(1,1,1,1) = p(1);
Ps(1,1,1,2) = p(2);
Ps(1,1,1,3) = p(3);
Ps(1,1,1,4) = p(4);

Ps(2,1,1,1) = scale*Q(1,1);
Ps(1,2,1,1) = scale*Q(1,2);
Ps(1,1,2,1) = scale*Q(1,3);

Ps(2,1,1,2) = scale*Q(2,1);
Ps(1,2,1,2) = scale*Q(2,2);
Ps(1,1,2,2) = scale*Q(2,3);

Ps(2,1,1,3) = scale*Q(3,1);
Ps(1,2,1,3) = scale*Q(3,2);
Ps(1,1,2,3) = scale*Q(3,3);

Ps(2,1,1,4) = scale*Q(4,1);
Ps(1,2,1,4) = scale*Q(4,2);
Ps(1,1,2,4) = scale*Q(4,3);

for n1 = 2:N
    n1
    N
    
    for n2 = 0:n1
        for n3 = 0:n2
            m = n1 - n2;
            n = n2 - n3;
            k = n3;

            
                P1 = Ps(:, :, :, 1);
                Amnk = Dfp - (lambda_1^m * lambda_2^n * lambda_3^k)*Id;            

                
                A = reshape(P1(1:m+1, 1:n+1, 1:k+1), (n+1)*(m+1)*(k+1), 1);
                A = A(2:((n+1)*(m+1)*(k+1)-1));

                B = reshape(P1(1:m+1, 1:n+1, 1:k+1), (n+1)*(m+1)*(k+1), 1);
                B = B(2:((n+1)*(m+1)*(k+1)-1));
                B = flipud(B);

                smnk = [a*transpose(A)*B;
                        0;
                        0;
                        0];
                
                    
                %smnkl_test = ...
                %    a*compute_s4_henonLike_intval(m, n, k, Ps, N)    
                    
                vmnk = Amnk\smnk;
                
                Ps(m+1, n+1, k+1, 1) = vmnk(1);
                Ps(m+1, n+1, k+1, 2) = vmnk(2);
                Ps(m+1, n+1, k+1, 3) = vmnk(3);
                Ps(m+1, n+1, k+1, 4) = vmnk(4);
        end
    end
end





end

