function s_return=compute_smn_6D(m, n, A, B, C, D, E, F, ...
                                  alpha1, tau1, a1, b1, c1, ...
                                  alpha2, tau2, a2, b2, c2, ...
                                  epsilon, N);

Q1 = zeros(N+1, N+1);
Q2 = zeros(N+1, N+1);

Q4 = zeros(N+1, N+1);
Q5 = zeros(N+1, N+1);


Q1(1:m+1, 1:n) = A(1:m+1, 1:n);
Q1(1:m, n+1) = A(1:m, n+1);

Q2(1:m+1, 1:n) = B(1:m+1, 1:n);
Q2(1:m, n+1) = B(1:m, n+1);


Q4(1:m+1, 1:n) = D(1:m+1, 1:n);
Q4(1:m, n+1) = D(1:m, n+1);

Q5(1:m+1, 1:n) = E(1:m+1, 1:n);
Q5(1:m, n+1) = E(1:m, n+1);



theValue_1 = 0;
theValue_4 = 0;


for (j = 0:n)
    for (k = 0:m)
        X1X1 = Q1(m-k+1,n-j+1)*Q1(k+1,j+1);
        X1Y1 = Q1(m-k+1,n-j+1)*Q2(k+1,j+1);
        Y1Y1 = Q2(m-k+1,n-j+1)*Q2(k+1,j+1);
        X2X2 = Q4(m-k+1,n-j+1)*Q4(k+1,j+1);
        X2Y2 = Q4(m-k+1,n-j+1)*Q5(k+1,j+1);
        Y2Y2 = Q5(m-k+1,n-j+1)*Q5(k+1,j+1);
        
        theValue_1 = theValue_1 + a1*X1X1 + b1*X1Y1 + ...
                                  c1*Y1Y1 + epsilon*Y2Y2;
        theValue_4 = theValue_4 + a2*X2X2 + b2*X2Y2 + ...
                                  c2*Y2Y2 + epsilon*Y1Y1;
     end
end
   

smn1 = theValue_1;
smn4 = theValue_4;

s_return = [smn1;
            0;
            0;
            smn4;
            0;
            0];
           

        
        
        
        