function f = convolveSeries_2D(A, B, N)

AB = zeros(N+1, N+1);

for (n = 0:N)
  for (m = 0:N)
      c_mn = 0;
      for (j = 0:n)
        for (k = 0:m)
            c_mn = c_mn + A(m - k + 1, n - j + 1)*B(k + 1, j + 1);
        end
      end
      AB(m+1, n+1) = c_mn;
  end
end

f = AB;