function f=evaluate_2D(v, w, A, B, C, D, E, F, N)


z1 = v;
z2 = w;

Ax = zeros(N+1);
By = Ax;
Cz = Ax;
Dx = Ax;
Ey = Ax;
Fz = Ax;

for m = 1:(N+1)
   thisCoef = A(1:(N+1-(m-1)), m);
   Ax(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = B(1:(N+1-(m-1)), m);
   By(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = C(1:(N+1-(m-1)), m);
   Cz(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = D(1:(N+1-(m-1)), m);
   Dx(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = E(1:(N+1-(m-1)), m);
   Ey(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = F(1:(N+1-(m-1)), m);
   Fz(m) = horner(z1, thisCoef, N-(m-1)); 
end    

Poly_x1 = horner(z2, Ax, N);
Poly_y1 = horner(z2, By, N);
Poly_z1 = horner(z2, Cz, N);
Poly_x2 = horner(z2, Dx, N);
Poly_y2 = horner(z2, Ey, N);
Poly_z2 = horner(z2, Fz, N);



f=[Poly_x1 Poly_y1 Poly_z1 Poly_x2 Poly_y2 Poly_z2];

