function f=evaluate_differential_1D(x, A, B, C, N)

Ax = zeros(1, N);
Bx = Ax;
Cx = Ax;

for m = 0:(N-1)
  Ax(m+1) = (m+1)*A(m+2);
  Bx(m+1) = (m+1)*B(m+2);
  Cx(m+1) = (m+1)*C(m+2);
end
  
P_x = [horner(x, Ax, N-1);
       horner(x, Bx, N-1);
       horner(x, Cx, N-1)];

f = P_x;
