function f=evaluate_jacob_complexCase4D(w, A, B, C, D, E, F, N)

i = sqrt(-1);

s1 = w(1);
t1 = w(2);
u1 = w(3);
v1 = w(4);

A_partial_s = zeros(N, N);
B_partial_s = zeros(N, N);
C_partial_s = zeros(N, N);
D_partial_s = zeros(N, N);
E_partial_s = zeros(N, N);
F_partial_s = zeros(N, N);

A_partial_t = zeros(N, N);
B_partial_t = zeros(N, N);
C_partial_t = zeros(N, N);
D_partial_t = zeros(N, N);
E_partial_t = zeros(N, N);
F_partial_t = zeros(N, N);

A_partial_u = zeros(N, N);
B_partial_u = zeros(N, N);
C_partial_u = zeros(N, N);
D_partial_u = zeros(N, N);
E_partial_u = zeros(N, N);
F_partial_u = zeros(N, N);

A_partial_v = zeros(N, N);
B_partial_v = zeros(N, N);
C_partial_v = zeros(N, N);
D_partial_v = zeros(N, N);
E_partial_v = zeros(N, N);
F_partial_v = zeros(N, N);


for m = 0:(N-1)
  for n = 0:(N-1)
    for k = 0:(N-1)
      for l = 0:(N-1)
        A_partial_s(m+1, n+1, k+1, l+1) = (m+1)*A(m+2, n+1, k+1, l+1) + ...
                                          (n+1)*A(m+1, n+2, k+1, l+1);
        B_partial_s(m+1, n+1, k+1, l+1) = (m+1)*B(m+2, n+1, k+1, l+1) + ...
                                          (n+1)*B(m+1, n+2, k+1, l+1); 
        C_partial_s(m+1, n+1, k+1, l+1) = (m+1)*C(m+2, n+1, k+1, l+1) + ...
                                          (n+1)*C(m+1, n+2, k+1, l+1);
        D_partial_s(m+1, n+1, k+1, l+1) = (m+1)*D(m+2, n+1, k+1, l+1) + ...
                                          (n+1)*D(m+1, n+2, k+1, l+1);
        E_partial_s(m+1, n+1, k+1, l+1) = (m+1)*E(m+2, n+1, k+1, l+1) + ...
                                          (n+1)*E(m+1, n+2, k+1, l+1); 
        F_partial_s(m+1, n+1, k+1, l+1) = (m+1)*F(m+2, n+1, k+1, l+1) + ...
                                          (n+1)*F(m+1, n+2, k+1, l+1);                    
    
        
        A_partial_u(m+1, n+1, k+1, l+1) = (k+1)*A(m+1, n+1, k+2, l+1) + ...
                                          (l+1)*A(m+1, n+1, k+1, l+2);
        B_partial_u(m+1, n+1, k+1, l+1) = (k+1)*B(m+1, n+1, k+2, l+1) + ...
                                          (l+1)*B(m+1, n+1, k+1, l+2); 
        C_partial_u(m+1, n+1, k+1, l+1) = (k+1)*C(m+1, n+1, k+2, l+1) + ...
                                          (l+1)*C(m+1, n+1, k+1, l+2);
        D_partial_u(m+1, n+1, k+1, l+1) = (k+1)*D(m+1, n+1, k+2, l+1) + ...
                                          (l+1)*D(m+1, n+1, k+1, l+2);
        E_partial_u(m+1, n+1, k+1, l+1) = (k+1)*E(m+1, n+1, k+2, l+1) + ...
                                          (l+1)*E(m+1, n+1, k+1, l+2); 
        F_partial_u(m+1, n+1, k+1, l+1) = (k+1)*F(m+1, n+1, k+2, l+1) + ...
                                          (l+1)*F(m+1, n+1, k+1, l+2);                               
                                      
        A_partial_t(m+1, n+1, k+1, l+1) = ...
         i*((m+1)*A(m+2, n+1, k+1, l+1) - (n+1)*A(m+1, n+2, k+1, l+1));
        B_partial_t(m+1, n+1, k+1, l+1) = ...
         i*((m+1)*B(m+2, n+1, k+1, l+1) - (n+1)*B(m+1, n+2, k+1, l+1));
        C_partial_t(m+1, n+1, k+1, l+1) = ...
         i*((m+1)*C(m+2, n+1, k+1, l+1) - (n+1)*C(m+1, n+2, k+1, l+1));
        D_partial_t(m+1, n+1, k+1, l+1) = ...
         i*((m+1)*D(m+2, n+1, k+1, l+1) - (n+1)*D(m+1, n+2, k+1, l+1));
        E_partial_t(m+1, n+1, k+1, l+1) = ...
         i*((m+1)*E(m+2, n+1, k+1, l+1) - (n+1)*E(m+1, n+2, k+1, l+1));
        F_partial_t(m+1, n+1, k+1, l+1) = ...
         i*((m+1)*F(m+2, n+1, k+1, l+1) - (n+1)*F(m+1, n+2, k+1, l+1));
        
        A_partial_v(m+1, n+1, k+1, l+1) = ...
         i*((k+1)*A(m+1, n+1, k+2, l+1) - (l+1)*A(m+1, n+1, k+1, l+2));
        B_partial_v(m+1, n+1, k+1, l+1) = ...
         i*((k+1)*B(m+1, n+1, k+2, l+1) - (l+1)*B(m+1, n+1, k+1, l+2));
        C_partial_v(m+1, n+1, k+1, l+1) = ...
         i*((k+1)*C(m+1, n+1, k+2, l+1) - (l+1)*C(m+1, n+1, k+1, l+2));
        D_partial_v(m+1, n+1, k+1, l+1) = ...
         i*((k+1)*D(m+1, n+1, k+2, l+1) - (l+1)*D(m+1, n+1, k+1, l+2));
        E_partial_v(m+1, 1+1, k+1, l+1) = ...
         i*((k+1)*E(m+1, n+1, k+2, l+1) - (l+1)*E(m+1, n+1, k+1, l+2));
        F_partial_v(m+1, n+1, k+1, l+1) = ...
         i*((k+1)*F(m+1, n+1, k+2, l+1) - (l+1)*F(m+1, n+1, k+1, l+2));
      
      end
    end
  end
end
  

P_s = evaluate4D_complexCase(s1, t1, u1, v1, ...
                             A_partial_s, B_partial_s, C_partial_s, ...
                             D_partial_s, E_partial_s, F_partial_s, ...
                             N-1);
                       
P_t = evaluate4D_complexCase(s1, t1, u1, v1, ...
                             A_partial_t, B_partial_t, C_partial_t, ...
                             D_partial_t, E_partial_t, F_partial_t, ...
                             N-1);

P_u = evaluate4D_complexCase(s1, t1, u1, v1, ...
                             A_partial_u, B_partial_u, C_partial_u, ...
                             D_partial_u, E_partial_u, F_partial_u, ...
                             N-1);
                       
P_v = evaluate4D_complexCase(s1, t1, u1, v1, ...
                             A_partial_v, B_partial_v, C_partial_v, ...
                             D_partial_v, E_partial_v, F_partial_v, ...
                             N-1);

                                              
                       
                       
%ys = evaluate_complexCase(s, t, B_partial_s, N-1);
%yt = evaluate_complexCase(s, t, B_partial_t, N-1);

%zs = evaluate_complexCase(s, t, C_partial_s, N-1);
%zt = evaluate_complexCase(s, t, C_partial_t, N-1);

f = real([P_s(1), P_t(1), P_u(1), P_v(1); 
          P_s(2), P_t(2), P_u(2), P_v(2); 
          P_s(3), P_t(3), P_u(3), P_v(3); 
          P_s(4), P_t(4), P_u(4), P_v(4); 
          P_s(5), P_t(5), P_u(5), P_v(5); 
          P_s(6), P_t(6), P_u(6), P_v(6)]);
      
      
      
      
      