clear
format short



a = 5.6
b = 0.1
numDim = 11

x_p = (b-1 + sqrt((1-b)^2 + 4*a))/(2*a);
x_m = (b-1 - sqrt((1-b)^2 + 4*a))/(2*a);

p_p = zeros(numDim, 1);
p_m = zeros(numDim, 1);

for i = 1:numDim
   p_p(i) = x_p;
   p_m(i) = x_m;
end

p_p


fp_test1 = norm(p_p - henonLikeMap(p_p, a, b, numDim))
fp_test2 = norm(p_m - henonLikeMap(p_m, a, b, numDim))

Dfp_p = henonLikeDifferential(p_m, a, b, numDim)


[Q, Sigma] = eig(full(Dfp_p))

thisAbs = zeros(numDim, 1);
thisEig = zeros(numDim, 1);
Lambda = zeros(numDim-1, numDim-1);
for i = 1:numDim
    i
   thisAbs(i) = abs(Sigma(i,i))
   thisEig(i) = Sigma(i,i)
   if (i>1)&(thisAbs(i) < 1)
       Lambda(i-1, i-1) = Sigma(i,i);
   end
end

thisAbs
thisEig
Lambda


Sigma


stopNow = stopHere


Ns = 5

scale = 1

tic
Ps = henonLikeStableManifold(p_p, Lambda, Q(:,2:numDim), scale, a, b, ...
                                        Ns, numDim);

toc                                    
                                    
size(Ps)
numNonZero = nnz(Ps)
pascalNum = numNonZero/numDim











