function [Ps] = henonLikeStableComp_intval(p, Lambda, Q, scale, a, b, ...
                                        order, N);

                                 

objectConstructionVector = zeros(1, N);
objectConstructionVector(N) = N;
for i = 1:(N-1)
    objectConstructionVector(i) = order + 1;
end
                               
objectConstructionVector                               

Ps = intval(zeros(objectConstructionVector));

Ps_initialized = 1

if (N == 3)
    Ps = computeHenonLikeUnstabCoeff_3_intval(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 4)
    Ps = computeHenonLikeUnstabCoeff_4_intval(p, Lambda, Q, scale, a, b, order, Ps);    
elseif (N == 5)
    Ps = computeHenonLikeUnstabCoeff_5_intval(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 6)
    Ps = computeHenonLikeUnstabCoeff_6_intval(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 7)
    Ps = computeHenonLikeUnstabCoeff_7_intval(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 8)
    Ps = computeHenonLikeUnstabCoeff_8_intval(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 9)
    Ps = computeHenonLikeUnstabCoeff_9_intval(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 10)
    Ps = computeHenonLikeUnstabCoeff_10_intval(p, Lambda, Q, scale, a, b, order, Ps);  
elseif (N == 11)
    Ps = computeHenonLikeUnstabCoeff_11_intval(p, Lambda, Q, scale, a, b, order, Ps);
else
   noCodeForThisDim = noCodeCrash 
end
            

end

