function varargout = homoclinicNewton_prod_delayHenon(...
    theta, xn, tau, n_u, n_s, Pu, N, p, A, a, b, conjVectData, numDim)


thisError = inf;
k = 0;

while (thisError > 10^(-14)) & (k < 3)
 
    
    
F_next = F_prod_delayHenon(...
    theta, xn, tau, n_u, n_s, ...
    mid(p), mid(A), mid(Pu), N, mid(a), mid(b), conjVectData, numDim)';

thisError = norm(F_next)

DF_next = DF_prod_delayHenon(...
    theta, xn, tau, n_u, n_s, ...
    mid(p), mid(A), mid(Pu), N, mid(a), mid(b), conjVectData, numDim);



A_Newton = inv(DF_next);
x = [theta; xn; tau];

%Newton Step:
x_next = x - A_Newton*F_next;
    

theta = x_next(1);
xn = x_next(2: size(xn,1)+1);
tau = x_next(size(xn,1)+2:size(x_next,1));

k = k+1;

end

varargout(1,1)={theta};
varargout(2,1)= {xn};
varargout(3,1)={tau};
varargout(4,1) = {thisError};
