function f=inv_henon3D_intval(x, alpha, tau, a, b, c)



M = mid(x);
R = midrad(0, max(rad(x)));

%VERSION 1:
term1 = -tau - a*M(2) - b*M(3);
term2 = -M(3)*M(3);
f3_M = -alpha + M(2)*term1 + c*term2 + M(1);

grad_f3x_bound = abs(x(3))*(2*abs(c) + abs(b)) + abs(x(2))*(2*abs(a) + abs(b)) + abs(tau);



%f1 = x(2);
%f2 = x(3);
%f3 = -alpha + x(1) - tau*x(2) - a*x(2)*x(2) - b*x(2)*x(3) - c*x(3)*x(3);


f=[x(2),
   x(3),
   f3_M + grad_f3x_bound*R];