function f=iterate_k_henon3D_differential(x, k, alpha, tau, a, b, c)

I = eye(3);
if k == 0
   Dfk =  I;
elseif k == 1
    Dfk = henon3D_differential(x, alpha, tau, a, b, c);
else
    thisMatrix = henon3D_differential(x, alpha, tau, a, b, c);
    thisCount = 1;
    for n = 2:k
        thisPoint = iterate_point_k(x, thisCount, alpha, tau, a, b, c);
        nextMatrix = henon3D_differential(thisPoint, alpha, tau, a, b, c);
        thisMatrix = nextMatrix*thisMatrix; 
        thisCount = thisCount + 1;
    end
end


f = thisMatrix;