function A = parm_2ndDiff_1Dbound(tau, Q1, Q2, Q3)


DQ2_1 = pderiv(Q1, 2);
DQ2_2 = pderiv(Q2, 2);
DQ2_3 = pderiv(Q3, 2);

max1 = abs(polyval(DQ2_1, tau));
max2 = abs(polyval(DQ2_2, tau));
max3 = abs(polyval(DQ2_3, tau));
maxes = [max1, max2, max3];


[floatMax, maxIndex] = max([sup(max1), sup(max2), sup(max3)]);

theMax = maxes(maxIndex);       
 
 A = theMax;