function A = partial_kl_prod_delayHenon(...
    k,l, theta_n, xn, tau_n, n_u, n_s, ...
    p, Q, Pu, N, a, b, conjDataVect, dimNum);

h = 10^(-8);

F_x = F_prod_delayHenon(...
    theta_n, xn, tau_n, n_u, n_s, ...
    p, Q, Pu, N, a, b, conjDataVect, dimNum);


if l == 1
   F_h =  F_prod_delayHenon(...
        theta_n + h, xn, tau_n, n_u, n_s, ...
        p, Q, Pu, N, a, b, conjDataVect, dimNum);
elseif (2 <= l) && (l <= size(xn, 1) + 1)
    x_h = xn;
    x_h(l-1) = xn(l-1) + h;
    F_h = F_prod_delayHenon(...
        theta_n, x_h, tau_n, n_u, n_s, ...
        p, Q, Pu, N, a, b, conjDataVect, dimNum);
else
    tau_h = tau_n;
    index_l = l - (size(xn, 1) + 1);
    tau_h(index_l) = tau_n(index_l) + h;
    F_h = F_prod_delayHenon(...
    theta_n, xn, tau_h, n_u, n_s, ...
    p, Q, Pu, N, a, b, conjDataVect, dimNum);
end


A = (F_h(k) - F_x(k))/h;






