function f = sError_intval_1D(A, B, C, alpha, tau, ...
                               a, b, c, lambda, N, r);




fA = alpha + tau*A+C+a*A*A+b*A*B+c*B*B;
fB = A;
fC = B;

[A_lambda, B_lambda, C_lambda] = ...
    compose_P_lambda_intval_1D(N, A, B, C, lambda);


E1 = mag(fA - A_lambda);
E2 = mag(fB - B_lambda);
E3 = mag(fC - C_lambda);

error1 = polyval(E1, r);
error2 = polyval(E2, r);
error3 = polyval(E3, r);


%error = 0;
%for n = 0:N
%   for m = 0:N
%       error = error + norm([E1(n+1, m+1), E2(n+1, m+1), E3(n+1, m+1)])*r^(n+m);
%   end
%end

f = max([sup(error1), sup(error2), sup(error3)]);
