function varargout = setDistCull(A, B, indexMap, tol)



temp1 = size(A);
temp2 = size(B);

numPointsA = temp1(1,1);
numPointsB = temp2(1,1);


goodPoints = zeros(numPointsB, 3);
goodIndices = zeros(numPointsB, 1);
points_found = 0;




for n = 1:numPointsA
    thisA = A(n, :);
    if (mod(n, 100) == 1)
        n
        numPointsA
        numPointsB
    end
    theseDistances = zeros(numPointsB, 1);
    for m = 1:numPointsB
        theseDistances(m) = norm(thisA - B(m, :), inf);     
    end
    [thisBestDist, thisBestIndex] = min(theseDistances);    
        
    if (thisBestDist < tol)
        points_found = points_found + 1;
        goodPoints(points_found, 1:3) = B(thisBestIndex, :);
        goodIndices(points_found) = indexMap(thisBestIndex);
    end
   
end


goodPoints = goodPoints(1:points_found, :);
goodIndices = goodIndices(1:points_found);

goodPoints = unique(goodPoints, 'rows');
goodIndices = unique(goodIndices);




varargout(1,1) = {goodPoints};
varargout(2,1) = {goodIndices};


