function f=u_errorNorm(s, t, A, B, C, N, alpha, tau, a, b, c, lambda_u)

%complexify the coordinates:
z = (s+i*t);
%need inverse of linear map:
lambda = lambda_u^(-1);
%the image of s and t under the complex inverse:
s_prime = real(lambda*z);
t_prime = imag(lambda*z);

P_of_st = evaluate_complexCase(s, t, A, B, C, N);
P_of_lambda_z = evaluate_complexCase(s_prime, t_prime, A, B, C, N);
f_inv_of_P = inv_henon3D(P_of_st, alpha, tau, a, b, c);

E = P_of_lambda_z - f_inv_of_P';

Error_u =  norm(E);

f=Error_u;