function varargout=complexSeriesPowers(N, K, alpha, beta);


a = zeros(K+1, N+1);
b = zeros(K+1, N+1);

a_0 = zeros(K+1, 1);
b_0 = zeros(K+1, 1);

a_temp1 = zeros(K+1, 1);
b_temp1 = zeros(K+1, 1);
a_temp2 = zeros(K+1, 1);
b_temp2 = zeros(K+1, 1);

a_n = zeros(K+1, 1);
b_n = zeros(K+1, 1);

a_0(1) = 1;

a_1 = alpha;
b_1 = beta;



a(:, 1) = a_0;
b(:, 1) = b_0;
a(:, 2) = a_1;
b(:, 2) = b_1;

for (n = 2:N)
    
    p = ceil(n/2);
    q = fix(n/2);
    
    a_temp1 = a(:, p+1);
    b_temp1 = b(:, p+1);
    a_temp2 = a(:, q+1);
    b_temp2 = b(:, q+1);    
    
    [a_n, b_n] = convolveTwoSeries_1variable(K, a_temp1, b_temp1, a_temp2, b_temp2);
    
    a(:, n+1) = a_n;
    b(:, n+1) = b_n;
end    


%Return:
varargout(1,1)={a};
varargout(2,1)={b};




