function varargout=compose_P_lambda_1D(k, A, B, C, lambda);

A_lambda = zeros(1,k+1);
B_lambda = zeros(1,k+1);
C_lambda = zeros(1,k+1);

for n = 0:k
   A_lambda(n+1) = (lambda^n)*A(n+1);
   B_lambda(n+1) = (lambda^n)*B(n+1); 
   C_lambda(n+1) = (lambda^n)*C(n+1);
end

%Return:
varargout(1,1)={A_lambda};
varargout(2,1)={B_lambda};
varargout(3,1)={C_lambda};



