function varargout=compose_P_lambda_2D(k, A, B, C, lambda_1, lambda_2);

A_lambda = zeros(k+1,k+1);
B_lambda = zeros(k+1,k+1);
C_lambda = zeros(k+1,k+1);


for n = 0:k
    for m = 0:k
      A_lambda(m+1, n+1) = (lambda_1^m)*(lambda_2^n)*A(m+1, n+1);
      B_lambda(m+1, n+1) = (lambda_1^m)*(lambda_2^n)*B(m+1, n+1); 
      C_lambda(m+1, n+1) = (lambda_1^m)*(lambda_2^n)*C(m+1, n+1);
    end
end
%Return:
varargout(1,1)={A_lambda};
varargout(2,1)={B_lambda};
varargout(3,1)={C_lambda};