function varargout=compose_f_P1D(k, A, B, C, alpha, tau, a, b, c);

Aprime = zeros(1,k+1);

for (m = 0:k)
  thisCoef = tau*A(m+1) + C(m+1);
  temp1 = 0;
  temp2 = 0;
  temp3 = 0;
  for(j = 0:m)
      temp1 = temp1 + A(m-j+1)*A(j+1); 
  end
  temp1 = a*temp1;
        
  for(j = 0:m)
      temp2 = temp2 + A(m-j+1)*B(j+1); 
  end   
  temp2 = b*temp2;
     
  for(j = 0:m)
      temp3 = temp3 + B(m-j+1)*B(j+1); 
  end
  temp3 = c*temp3;
   
  Aprime(m+1) = thisCoef + temp1 + temp2 + temp3;
end    


Aprime(1) = alpha + Aprime(1); 


%================================================================
%Results:
%================================================================

%Return:
varargout(1,1)={Aprime};
varargout(2,1)={A};
varargout(3,1)={B};






