function [Ps] = computeHenonLikeUnstabCoeff_3_intval(...
                     p, Lambda, Q, scale, a, b, order, Ps);


Dfp = henonLikeDifferential_intval(p, a, b, 3);
Id = intval(eye(3));
lambda_1 = Lambda(1,1);
lambda_2 = Lambda(2,2);
N = order


%Ps = intval(zeros(N+1, N+1, 3));

Ps(1,1,1) = p(1);
Ps(1,1,2) = p(2);
Ps(1,1,3) = p(3);


Ps(2,1,1) = scale*Q(1,1);
Ps(1,2,1) = scale*Q(1,2);

Ps(2,1,2) = scale*Q(2,1);
Ps(1,2,2) = scale*Q(2,2);

Ps(2,1,3) = scale*Q(3,1);
Ps(1,2,3) = scale*Q(3,2);




for n1 = 2:N
    n1
    N
    
    for n2 = 0:n1
        m = n1 - n2;
        n = n2;

        
            P1 = Ps(:, :, 1);        
            Amn = Dfp - (lambda_1^m * lambda_2^n)*Id;            

             A = reshape(P1(1:m+1, 1:n+1), (n+1)*(m+1), 1);
             A = A(2:((n+1)*(m+1)-1));

             B= reshape(P1(1:m+1, 1:n+1), (n+1)*(m+1), 1);
             B = B(2:((n+1)*(m+1)-1));
             B = flipud(B);


            smn = [a*transpose(A)*B;
                   0;
                   0];
               
            %smn_test = a*compute_s3_henonLike_intval(m, n, Ps, N)
            
            vmn = Amn\smn;
            %vmn_test = Amn\smn_test
            
            Ps(m+1, n+1, 1) = vmn(1);
            Ps(m+1, n+1, 2) = vmn(2);
            Ps(m+1, n+1, 3) = vmn(3);
          
    end
end


end

