function s_return=compute_smnlk_6D(m, n, l, k, ...
                                   A, B, C, D, E, F, ...
                                   alpha1, tau1, a1, b1, c1, ...
                                   alpha2, tau2, a2, b2, c2, ...
                                   epsilon, N);

Q1 = zeros(N+1, N+1, N+1, N+1);
Q2 = zeros(N+1, N+1, N+1, N+1);

Q4 = zeros(N+1, N+1, N+1, N+1);
Q5 = zeros(N+1, N+1, N+1, N+1);



Q1(1:m+1, 1:n+1, 1:l+1, 1:k+1) = A(1:m+1, 1:n+1, 1:l+1, 1:k+1);
Q1(m+1, n+1, l+1, k+1) = 0;

Q2(1:m+1, 1:n+1, 1:l+1, 1:k+1) = B(1:m+1, 1:n+1, 1:l+1, 1:k+1);
Q2(m+1, n+1, l+1, k+1) = 0;

Q4(1:m+1, 1:n+1, 1:l+1, 1:k+1) = D(1:m+1, 1:n+1, 1:l+1, 1:k+1);
Q4(m+1, n+1, l+1, k+1) = 0;

Q5(1:m+1, 1:n+1, 1:l+1, 1:k+1) = E(1:m+1, 1:n+1, 1:l+1, 1:k+1);
Q5(m+1, n+1, l+1, k+1) = 0;



%nnz1 = nnz(Q1)
%nnz2 = nnz(Q2)
%nnz3 = nnz(Q4)
%nnz4 = nnz(Q5)

theValue_1 = 0;
theValue_4 = 0;


for (i1 = 0:n)
    for (i2 = 0:m)
        for (i3 = 0:k)
            for (i4 = 0:l)
                
                %m
                %n
                %l
                %k
                %i1
                %i2
                %i3
                %i4
                
                
                
                X1X1 = Q1(m-i2+1,n-i1+1, l-i4+1, k-i3+1)*Q1(i2+1, i1+1, i4+1, i3+1);
                X1Y1 = Q1(m-i2+1,n-i1+1, l-i4+1, k-i3+1)*Q2(i2+1, i1+1, i4+1, i3+1);
                Y1Y1 = Q2(m-i2+1,n-i1+1, l-i4+1, k-i3+1)*Q2(i2+1, i1+1, i4+1, i3+1);
                X2X2 = Q4(m-i2+1,n-i1+1, l-i4+1, k-i3+1)*Q4(i2+1, i1+1, i4+1, i3+1);
                X2Y2 = Q4(m-i2+1,n-i1+1, l-i4+1, k-i3+1)*Q5(i2+1, i1+1, i4+1, i3+1);
                Y2Y2 = Q5(m-i2+1,n-i1+1, l-i4+1, k-i3+1)*Q5(i2+1, i1+1, i4+1, i3+1);
                
                theValue_1 = theValue_1 + a1*X1X1 + b1*X1Y1 + ...
                                  c1*Y1Y1 + epsilon*Y2Y2;
                theValue_4 = theValue_4 + a2*X2X2 + b2*X2Y2 + ...
                                  c2*Y2Y2 + epsilon*Y1Y1;
            end
        end
    end
end
   

smn1 = theValue_1;
smn4 = theValue_4;


%stopNow = stopHere


s_return = [smn1;
            0;
            0;
            smn4;
            0;
            0];
        
        
        