function varargout = convertToPoly_2D(A, B, C, N);


numTwoDcoeff = (N+1)*(N+2)/2
twoDexp = zeros(numTwoDcoeff, 2);
A_bar = intval(zeros(numTwoDcoeff, 1));
B_bar = intval(zeros(numTwoDcoeff, 1));
C_bar = intval(zeros(numTwoDcoeff, 1));


thisExp = 0;
for k = 1:(N+1)
    for l = 1:(N-k+2)
        thisExp = thisExp+1;
        twoDexp(thisExp, 1:2) = [l-1, k-1];
        A_bar(thisExp) = A(l, k);
        B_bar(thisExp) = B(l, k);
        C_bar(thisExp) = C(l, k);       
    end
end


P1 = polynom(A_bar, twoDexp, {'x' 'y'});
P2 = polynom(B_bar, twoDexp, {'x' 'y'});
P3 = polynom(C_bar, twoDexp, {'x' 'y'});

varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};


