function varargout = convertToPoly_4D_6D(A, B, C, D, E, F, N);


num = 0;
for K = 1:(N+1)
    thisNum = K*(K+1)*(K+2)/6;
    num = thisNum + num;
end


numFourDcoeff = num
fourDexp = zeros(numFourDcoeff, 4);

A_bar = intval(zeros(numFourDcoeff, 1));
B_bar = intval(zeros(numFourDcoeff, 1));
C_bar = intval(zeros(numFourDcoeff, 1));
D_bar = intval(zeros(numFourDcoeff, 1));
E_bar = intval(zeros(numFourDcoeff, 1));
F_bar = intval(zeros(numFourDcoeff, 1));

thisExp = 0;
for k = 0:N
    for l = 0:N
        for m = 0:N
            for n = 0:N
                if (k + l + m + n <= N)
                    thisExp = thisExp+1;
                    fourDexp(thisExp, 1:4) = [k, l, m, n];
                    A_bar(thisExp) = A(k+1, l+1, m+1, n+1);
                    B_bar(thisExp) = B(k+1, l+1, m+1, n+1);
                    C_bar(thisExp) = C(k+1, l+1, m+1, n+1);
                    D_bar(thisExp) = D(k+1, l+1, m+1, n+1);
                    E_bar(thisExp) = E(k+1, l+1, m+1, n+1);
                    F_bar(thisExp) = F(k+1, l+1, m+1, n+1);
                end
            end
        end
    end
end


P1 = polynom(A_bar, fourDexp, {'w' 'x' 'y' 'z'});
P2 = polynom(B_bar, fourDexp, {'w' 'x' 'y' 'z'});
P3 = polynom(C_bar, fourDexp, {'w' 'x' 'y' 'z'});
P4 = polynom(D_bar, fourDexp, {'w' 'x' 'y' 'z'});
P5 = polynom(E_bar, fourDexp, {'w' 'x' 'y' 'z'});
P6 = polynom(F_bar, fourDexp, {'w' 'x' 'y' 'z'});


varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};
varargout(4,1)={P4};
varargout(5,1)={P5};
varargout(6,1)={P6};
