function varargout=convolveSeries_1variable(K, alpha, beta);


for (j = 0:K)

    sum_a = 0;
    sum_b = 0;
    
    for (k = 0:j)
       sum_a = sum_a + alpha(k+1)*alpha(j-k+1) - beta(k+1)*beta(j-k+1);
       sum_b = sum_b + alpha(k+1)*beta(j-k+1) + beta(k+1)*alpha(j-k+1);
    end    
    
    a(j+1) = sum_a;
    b(j+1) = sum_b;
end    

%a_squared_coefficients = a;
%b_squared_coefficients = b;

%Return:
varargout(1,1)={a};
varargout(2,1)={b};


