function varargout=convolveTwoSeries_1variable(K, alpha1, beta1, alpha2, beta2);


for (j = 0:K)

    sum_a = 0;
    sum_b = 0;
    
    for (k = 0:j)
       sum_a = sum_a + alpha1(k+1)*alpha2(j-k+1) - beta1(k+1)*beta2(j-k+1);
       sum_b = sum_b + alpha1(k+1)*beta2(j-k+1) + beta1(k+1)*alpha2(j-k+1);
    end    
    
    a(j+1) = sum_a;
    b(j+1) = sum_b;
end    

%a_squared_coefficients = a;
%b_squared_coefficients = b;

%Return:
varargout(1,1)={a};
varargout(2,1)={b};