clear 
format long


dim = 3
a = 3.65*(0.95 + 0.05*rand(dim, 1));
eps_coupling = 0.1

numIterates = 1000;


orbit = zeros(numIterates, dim);
x_0 = ones(dim, 1);
x_this = x_0;

for k = 1:numIterates
    x_this = coupledMapLattice_logistic(x_this, a, eps_coupling, dim);
    orbit(k, 1:dim) = x_this';
end


figure 
hold on
plot3(orbit(:,1), orbit(:,2), orbit(:,3), '.b')

figure
hold on
plot(orbit(:, 1), 'g')