function varargout = cullIndices(N, indexMap, index, cullNum)

temp = size(N);
numPoints = temp(1,1);
goodPoints = zeros(numPoints, 3);
goodIndices = zeros(numPoints, 1);
points_found = 0;

for n = 1:numPoints
   x = N(n, 1:3);
   if ((n < index - cullNum) || (n > index + cullNum))
      points_found = points_found + 1;
      goodPoints(points_found, 1:3) = x;
      goodIndices(points_found) = indexMap(n);
   end
end


goodPoints = goodPoints(1:points_found, :);
goodIndices = goodIndices(1:points_found);


varargout(1,1) = {goodPoints};
varargout(2,1) = {goodIndices};