function varargout=distPointToSet(x, A)

temp = size(A);
numPoints = temp(1);
dim = temp(2);


minDist = norm(x - A(1, :));
closestPoint = A(1, :);
minIndex = 1;

for i = 2:numPoints
  thisDist = norm(x - A(i, :));
  if (thisDist < minDist) 
     minDist = thisDist;
     closestPoint = A(i, :);
     minIndex = i;
  end    
end
   
varargout(1,1)={minDist};
varargout(2,1)={closestPoint};
varargout(3,1) = {minIndex};