function f=evaluate_complexCase(v, w, A, B, C, N)

Poly_x = 0;   Poly_y = 0;   Poly_z = 0;
const1 = 0;    const2 = 0;    const3 = 0;

for m = 0:N
    for n = 0:(N-m)
       const1 = const1 + A(n+1, m+1)*(v + i*w)^n;
       const2 = const2 + B(n+1, m+1)*(v + i*w)^n;
       const3 = const3 + C(n+1, m+1)*(v + i*w)^n;
    end
    Poly_x = Poly_x + const1*(v - i*w)^m;
    Poly_y = Poly_y + const2*(v - i*w)^m;
    Poly_z = Poly_z + const3*(v - i*w)^m;
    
    const1 = 0;  
    const2 = 0;  
    const3 = 0;
end

f=real([ Poly_x Poly_y Poly_z]);