function f=evaluate_jacob(s, t, A, B, C, N)

xs = 0;     xt = 0;
ys = 0;     yt = 0;
zs = 0;     zt = 0;

temp_xs = 0;  temp_xt = 0;
temp_ys = 0;  temp_yt = 0;
temp_zs = 0;  temp_zt = 0;

for j = 0:(N-1)
    for i = 0:(N-1)
        temp_xs = temp_xs + (i+1)*A(i+2, j+1)*(s^i);
        temp_xt = temp_xt + (j+1)*A(i+1, j+2)*(s^i); 
        temp_ys = temp_ys + (i+1)*B(i+2, j+1)*(s^i); 
        temp_yt = temp_yt + (j+1)*B(i+1, j+2)*(s^i); 
        temp_zs = temp_zs + (i+1)*C(i+2, j+1)*(s^i); 
        temp_zt = temp_zt + (j+1)*C(i+1, j+2)*(s^i); 
    end
    xs = xs + temp_xs*(t^j); 
    xt = xt + temp_xt*(t^j); 
    ys = ys + temp_ys*(t^j); 
    yt = yt + temp_yt*(t^j); 
    zs = zs + temp_zs*(t^j); 
    zt = zt + temp_zt*(t^j); 
    
    temp_xs = 0;  temp_xt = 0;
    temp_ys = 0;  temp_yt = 0;
    temp_zs = 0;  temp_zt = 0;
end
  
f = real([xs xt; 
     ys yt; 
     zs zt]);
 
 