function f=evaluate_jacob_complexCase(s, t, A, B, C, N)

xs = 0;     xt = 0;
ys = 0;     yt = 0;
zs = 0;     zt = 0;

temp_xs = 0;  temp_xt = 0;
temp_ys = 0;  temp_yt = 0;
temp_zs = 0;  temp_zt = 0;

place = 1;
i = sqrt(-1);

for n = 0:(N-1)
    for m = 0:(N-1)
        temp_xs = temp_xs + [(m+1)*A(m+2, n+1) + (n+1)*A(m+1, n+2)]*((s + i*t)^m);
        temp_xt = temp_xt + i*[(m+1)*A(m+2, n+1) - (n+1)*A(m+1, n+2)]*((s + i*t)^m); 
        temp_ys = temp_ys + [(m+1)*B(m+2, n+1) + (n+1)*B(m+1, n+2)]*((s + i*t)^m); 
        temp_yt = temp_yt + i*[(m+1)*B(m+2, n+1) - (n+1)*B(m+1, n+2)]*((s + i*t)^m); 
        temp_zs = temp_zs + [(m+1)*C(m+2, n+1) + (n+1)*C(m+1, n+2)]*((s + i*t)^m); 
        temp_zt = temp_zt + i*[(m+1)*C(m+2, n+1) - (n+1)*C(m+1, n+2)]*((s + i*t)^m); 
    end
    xs = xs + temp_xs*((s - i*t)^n); 
    xt = xt + temp_xt*((s - i*t)^n); 
    ys = ys + temp_ys*((s - i*t)^n); 
    yt = yt + temp_yt*((s - i*t)^n); 
    zs = zs + temp_zs*((s - i*t)^n); 
    zt = zt + temp_zt*((s - i*t)^n); 
    
    temp_xs = 0;  temp_xt = 0;
    temp_ys = 0;  temp_yt = 0;
    temp_zs = 0;  temp_zt = 0;
end
  
f = real([xs xt; 
     ys yt; 
     zs zt]);