function f=henon3D_intval(x, alpha, tau, a, b, c)



M = mid(x);
R = midrad(0, max(rad(x)));

%VERSION 1:
term1 = tau + a*M(1) + b*M(2);
term2 = M(2)*M(2);
f1_M = alpha + M(1)*term1 + c*term2 + M(3);

grad_f1x_bound = abs(x(1))*(2*abs(a) + abs(b)) + abs(x(2))*(2*abs(c) + abs(b)) + abs(tau);

%VERSION 2:
%f1_M = alpha + tau*M(1) + M(3) + a*M(1)*M(1) + b*M(1)*M(2)+ c*M(2)*M(2);
%grad = abs(M(1))*(2*abs(a) + abs(b)) + abs(M(2))*(2*abs(c) + abs(b)) + abs(tau)
%hess = 2*max([sup(a), sup(c)]) + b;

%f1 = f1_M + grad*R + hess*R*R;
%f2 = x(1);
%f3 = x(2);

f=[f1_M + grad_f1x_bound*R,
   x(1),
   x(2)];