function [Ps] = henonLikeStableManifold(p, Lambda, Q, scale, a, b, ...
                                        order, N);

                                 

objectConstructionVector = zeros(1, N);
objectConstructionVector(N) = N;
for i = 1:(N-1)
    objectConstructionVector(i) = order + 1;
end
                               
objectConstructionVector                               


Ps = zeros(objectConstructionVector);


if (N == 3)
    Ps = computeHenonLikeUnstabCoeff_3(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 4)
    Ps = computeHenonLikeUnstabCoeff_4(p, Lambda, Q, scale, a, b, order, Ps);    
elseif (N == 5)
    Ps = computeHenonLikeUnstabCoeff_5(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 6)
    Ps = computeHenonLikeUnstabCoeff_6(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 7)
    Ps = computeHenonLikeUnstabCoeff_7(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 8)
    Ps = computeHenonLikeUnstabCoeff_8(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 9)
    Ps = computeHenonLikeUnstabCoeff_9(p, Lambda, Q, scale, a, b, order, Ps);
elseif (N == 10)
    Ps = computeHenonLikeUnstabCoeff_10(p, Lambda, Q, scale, a, b, order, Ps);  
elseif (N == 11)
    Ps = computeHenonLikeUnstabCoeff_11(p, Lambda, Q, scale, a, b, order, Ps);
else
   noCodeForThisDim = noCodeCrash 
end
            

end

