clear
format long


a = 1.6
%a = 1.4

numDim = 100

b = 0.1*ones(numDim, 1);

%Theese work well with a = 1.6:
%b(1) = 0.1
%b_seed = 0.16

%and theese for a = 1.4 (very large gap):
%b(1) = 0.3
%b_seed = 0.03

 %b = rand(numDim-1,1)

 
for i = 3:numDim
   %b(i-1) = b_seed^(i-2);  
   b(i-1) = b(i-1)*(3/4)^i
   %b = 0.01*rand(numDim-1,1)
end



c = 0;
for i = 2:numDim
   c = c + b(i-1); 
end


x_p = (c-1 + sqrt((c-1)^2 + 4*a))/(2*a)
x_m = (c-1 - sqrt((c-1)^2 + 4*a))/(2*a)


p_p = zeros(numDim, 1);
p_m = zeros(numDim, 1);

for i = 1:numDim
   p_p(i) = x_p;
   p_m(i) = x_m;
end

p_p
p_m


fp_test1 = norm(p_p - henonLikeMap_2(p_p, a, b, numDim))
fp_test2 = norm(p_m - henonLikeMap_2(p_m, a, b, numDim))


stopNow = stopHere

Dfp_p = henonLikeDifferential_2(p_p, a, b, numDim)

[Q, Sigma] = eig(full(Dfp_p))


eigenValues = zeros(numDim, 2);


for k = 1:numDim
   if (isreal(Sigma(k,k)) == 1) 
       eigenValues(k, 1:2) = [Sigma(k,k), 0];
   else
       eigenValues(k, 1:2) = ...
           [real(Sigma(k,k)), imag(Sigma(k,k))]; 
   end
end



abs(diag(Sigma))


figure 
hold on

Radius = 1;

[circ_1, circ_2, circ_3] = cylinder(Radius,200);
plot(circ_1(1,:), circ_2(1,:), 'g')
axis([-5 5 -5 5])
plot(eigenValues(:, 1), eigenValues(:,2), 'b*')



numIterates = 15000;
orbit = zeros(numIterates, numDim);

p0 = zeros(numDim, 1);
p0(1) = 0.01;
p0 = p_p + p0;

for k = 1:numIterates
   p0 = henonLikeMap_2(p0, a, b, numDim)'; 
   orbit(k, :) = p0; 
   if (norm(p0) > 300)
       k
       p0
       crashNow = crashHere
   end
end

figure
hold on
axis([-5 5 -5 5 -5 5])
plot3(orbit(:, 1), orbit(:,2), orbit(:,numDim), 'b.')



abs(diag(Sigma))




% 
% thisAbs = zeros(numDim, 1);
% thisEig = zeros(numDim, 1);
% Lambda = zeros(numDim-1, numDim-1);
% for i = 1:numDim
%     i
%    thisAbs(i) = abs(Sigma(i,i))
%    thisEig(i) = Sigma(i,i)
%    if (i>1)&(thisAbs(i) < 1)
%        Lambda(i-1, i-1) = Sigma(i,i);
%    end
% end
% 
% thisAbs
% thisEig
% Lambda
% 
% 
% Sigma
