function varargout=parametrizationCoefficents_intval_complexCase(...
    N, p, nu, nu_bar, lambda, tau, a, b, c);

%initialize the coefficent matrices:
P1 = intval(zeros(N+1, N+1));
P2 = P1;
P3 = P1;

%Constant Terms:
P1(1,1) = p(1);
P2(1,1) = p(2);
P3(1,1) = p(3);

P1(2,1) = nu(1);
P1(1,2) = nu_bar(1);

P2(2,1) = nu(2);
P2(1,2) = nu_bar(2);

P3(2,1) = nu(3); 
P3(1,2) = nu_bar(3);

  
coefCount = 0;
for n = 2:N
    n
    N
   for k = 1:(n+1)
         
        coefCount = coefCount+1;
        i1 = n-k+1;
        i2 = k-1;
        
        A_ij = call_A(i1, i2, p, lambda, tau, a, b, c);
  
      
        %Compute RHS homological equation:
        
        A = reshape(P1(1:i1+1, 1:i2+1), (i1+1)*(i2+1), 1);
        A = A(2:((i1+1)*(i2+1)-1));
        B = -flipud(A);

        C = reshape(P2(1:i1+1, 1:i2+1), (i1+1)*(i2+1), 1);
        C = C(2:((i1+1)*(i2+1)-1));
        D = -flipud(C);

        theValue_11 = B.'*A;
        theValue_12 = B.'*C;
        theValue_22 = D.'*C;

        s_ij = a*theValue_11 + b*theValue_12 + c*theValue_22;
        
        b_ij = [s_ij; 0 ; 0];
        coef_ij = verifylss(A_ij, b_ij);
    
        P1(i1+1, i2+1) = coef_ij(1);
        P2(i1+1, i2+1) = coef_ij(2);
        P3(i1+1, i2+1) = coef_ij(3);
        
   end
end


coefCount_2D_intval = coefCount

varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};

%varargout(4,1)={[L4(1); L4(2); 0]};
%varargout(5,1)={[L5(1); L5(2); 0]};
