function A = parm_2ndDiff_2Dbound_6D(tau, Q1, Q2, Q3, Q4, Q5, Q6)


%First Partials:

DQ1_x = pderiv(Q1, 'x');
DQ2_x = pderiv(Q2, 'x');
DQ3_x = pderiv(Q3, 'x');
DQ4_x = pderiv(Q4, 'x');
DQ5_x = pderiv(Q5, 'x');
DQ6_x = pderiv(Q6, 'x');

DQ1_y = pderiv(Q1, 'y');
DQ2_y = pderiv(Q2, 'y');
DQ3_y = pderiv(Q3, 'y');
DQ4_y = pderiv(Q4, 'y');
DQ5_y = pderiv(Q5, 'y');
DQ6_y = pderiv(Q6, 'y');

%Second Partials:

DQ1_xx = pderiv(DQ1_x, 'x');
DQ2_xx = pderiv(DQ2_x, 'x');
DQ3_xx = pderiv(DQ3_x, 'x');
DQ4_xx = pderiv(DQ4_x, 'x');
DQ5_xx = pderiv(DQ5_x, 'x');
DQ6_xx = pderiv(DQ6_x, 'x');

DQ1_xy = pderiv(DQ1_x, 'y');
DQ2_xy = pderiv(DQ2_x, 'y');
DQ3_xy = pderiv(DQ3_x, 'y');
DQ4_xy = pderiv(DQ4_x, 'y');
DQ5_xy = pderiv(DQ5_x, 'y');
DQ6_xy = pderiv(DQ6_x, 'y');

DQ1_yy = pderiv(DQ1_y, 'y');
DQ2_yy = pderiv(DQ2_y, 'y');
DQ3_yy = pderiv(DQ3_y, 'y');
DQ4_yy = pderiv(DQ4_y, 'y');
DQ5_yy = pderiv(DQ5_y, 'y');
DQ6_yy = pderiv(DQ6_y, 'y');


max11 = abs(polyval(DQ1_xx, tau, tau));
max12 = abs(polyval(DQ2_xx, tau, tau));
max13 = abs(polyval(DQ3_xx, tau, tau));
max14 = abs(polyval(DQ4_xx, tau, tau));
max15 = abs(polyval(DQ5_xx, tau, tau));
max16 = abs(polyval(DQ6_xx, tau, tau));

max21 = abs(polyval(DQ1_xy, tau, tau));
max22 = abs(polyval(DQ2_xy, tau, tau));
max23 = abs(polyval(DQ3_xy, tau, tau));
max24 = abs(polyval(DQ4_xy, tau, tau));
max25 = abs(polyval(DQ5_xy, tau, tau));
max26 = abs(polyval(DQ6_xy, tau, tau));

max31 = abs(polyval(DQ1_yy, tau, tau));
max32 = abs(polyval(DQ2_yy, tau, tau));
max33 = abs(polyval(DQ3_yy, tau, tau));
max34 = abs(polyval(DQ4_yy, tau, tau));
max35 = abs(polyval(DQ5_yy, tau, tau));
max36 = abs(polyval(DQ6_yy, tau, tau));


maxes = [max11+2*max21+max31, ...
         max12+2*max22+max32, ...
         max13+2*max23+max33, ...
         max14+2*max24+max34, ...
         max15+2*max25+max35, ...
         max16+2*max26+max36];
         
[floatMax, maxIndex] = max([sup(maxes(1)), ...
                            sup(maxes(2)), ...
                            sup(maxes(3)), ...
                            sup(maxes(4)), ...
                            sup(maxes(5)), ...
                            sup(maxes(6))]);

                        
theMax = maxes(maxIndex);       
 
A = theMax;





















