function A = parm_2ndDiff_4Dbound_6D(theta, P1, P2, P3, P4, P5, P6)


Dw_P1 = pderiv(P1, 'w');
Dx_P1 = pderiv(P1, 'x');
Dw_P2 = pderiv(P2, 'w');
Dx_P2 = pderiv(P2, 'x');
Dw_P3 = pderiv(P3, 'w');
Dx_P3 = pderiv(P3, 'x');
Dw_P4 = pderiv(P4, 'w');
Dx_P4 = pderiv(P4, 'x');
Dw_P5 = pderiv(P5, 'w');
Dx_P5 = pderiv(P5, 'x');
Dw_P6 = pderiv(P6, 'w');
Dx_P6 = pderiv(P6, 'x');



Dy_P1 = pderiv(P1, 'y');
Dz_P1 = pderiv(P1, 'z');
Dy_P2 = pderiv(P2, 'y');
Dz_P2 = pderiv(P2, 'z');
Dy_P3 = pderiv(P3, 'y');
Dz_P3 = pderiv(P3, 'z');
Dy_P4 = pderiv(P4, 'y');
Dz_P4 = pderiv(P4, 'z');
Dy_P5 = pderiv(P5, 'y');
Dz_P5 = pderiv(P5, 'z');
Dy_P6 = pderiv(P6, 'y');
Dz_P6 = pderiv(P6, 'z');


D_theta11_P1 =   pderiv(Dw_P1, 'w') + ...
               2*pderiv(Dx_P1, 'w') +...
                 pderiv(Dx_P1, 'x');
D_theta12_P1 = i*pderiv(Dw_P1, 'w') - i*pderiv(Dx_P1, 'x');
D_theta22_P1 =  -pderiv(Dw_P1, 'w') + ...
               2*pderiv(Dx_P1, 'w') +...
                -pderiv(Dx_P1, 'x');
D_theta33_P1 =   pderiv(Dy_P1, 'y') + ...
               2*pderiv(Dz_P1, 'y') +...
                 pderiv(Dz_P1, 'z');
D_theta34_P1 = i*pderiv(Dy_P1, 'y') - i*pderiv(Dz_P1, 'z');
D_theta44_P1 =  -pderiv(Dy_P1, 'y') + ...
               2*pderiv(Dz_P1, 'y') +...
                -pderiv(Dz_P1, 'z');


            
D_theta11_P2 =   pderiv(Dw_P2, 'w') + ...
               2*pderiv(Dx_P2, 'w') +...
                 pderiv(Dx_P2, 'x');
D_theta12_P2 = i*pderiv(Dw_P2, 'w') - i*pderiv(Dx_P2, 'x');
D_theta22_P2 =  -pderiv(Dw_P2, 'w') + ...
               2*pderiv(Dx_P2, 'w') +...
                -pderiv(Dx_P2, 'x');
D_theta33_P2 =   pderiv(Dy_P2, 'y') + ...
               2*pderiv(Dz_P2, 'y') +...
                 pderiv(Dz_P2, 'z');
D_theta34_P2 = i*pderiv(Dy_P2, 'y') - i*pderiv(Dz_P2, 'z');
D_theta44_P2 =  -pderiv(Dy_P2, 'y') + ...
               2*pderiv(Dz_P2, 'y') +...
                -pderiv(Dz_P2, 'z');

            
                 
D_theta11_P3 =   pderiv(Dw_P3, 'w') + ...
               2*pderiv(Dx_P3, 'w') +...
                 pderiv(Dx_P3, 'x');
D_theta12_P3 = i*pderiv(Dw_P3, 'w') - i*pderiv(Dx_P3, 'x');
D_theta22_P3 =  -pderiv(Dw_P3, 'w') + ...
               2*pderiv(Dx_P3, 'w') +...
                -pderiv(Dx_P3, 'x');
D_theta33_P3 =   pderiv(Dy_P3, 'y') + ...
               2*pderiv(Dz_P3, 'y') +...
                 pderiv(Dz_P3, 'z');
D_theta34_P3 = i*pderiv(Dy_P3, 'y') - i*pderiv(Dz_P3, 'z');
D_theta44_P3 =  -pderiv(Dy_P3, 'y') + ...
               2*pderiv(Dz_P3, 'y') +...
                -pderiv(Dz_P3, 'z');

           
  
D_theta11_P4 =   pderiv(Dw_P4, 'w') + ...
               2*pderiv(Dx_P4, 'w') +...
                 pderiv(Dx_P4, 'x');
D_theta12_P4 = i*pderiv(Dw_P4, 'w') - i*pderiv(Dx_P4, 'x');
D_theta22_P4 =  -pderiv(Dw_P4, 'w') + ...
               2*pderiv(Dx_P4, 'w') +...
                -pderiv(Dx_P4, 'x');
D_theta33_P4 =   pderiv(Dy_P4, 'y') + ...
               2*pderiv(Dz_P4, 'y') +...
                 pderiv(Dz_P4, 'z');
D_theta34_P4 = i*pderiv(Dy_P4, 'y') - i*pderiv(Dz_P4, 'z');
D_theta44_P4 =  -pderiv(Dy_P4, 'y') + ...
               2*pderiv(Dz_P4, 'y') +...
                -pderiv(Dz_P4, 'z');

           
D_theta11_P5 =   pderiv(Dw_P5, 'w') + ...
               2*pderiv(Dx_P5, 'w') +...
                 pderiv(Dx_P5, 'x');
D_theta12_P5 = i*pderiv(Dw_P5, 'w') - i*pderiv(Dx_P5, 'x');
D_theta22_P5 =  -pderiv(Dw_P5, 'w') + ...
               2*pderiv(Dx_P5, 'w') +...
                -pderiv(Dx_P5, 'x');
D_theta33_P5 =   pderiv(Dy_P5, 'y') + ...
               2*pderiv(Dz_P5, 'y') +...
                 pderiv(Dz_P5, 'z');
D_theta34_P5 = i*pderiv(Dy_P5, 'y') - i*pderiv(Dz_P5, 'z');
D_theta44_P5 =  -pderiv(Dy_P5, 'y') + ...
               2*pderiv(Dz_P5, 'y') +...
                -pderiv(Dz_P5, 'z');

           
D_theta11_P6 =   pderiv(Dw_P6, 'w') + ...
               2*pderiv(Dx_P6, 'w') +...
                 pderiv(Dx_P6, 'x');
D_theta12_P6 = i*pderiv(Dw_P6, 'w') - i*pderiv(Dx_P6, 'x');
D_theta22_P6 =  -pderiv(Dw_P6, 'w') + ...
               2*pderiv(Dx_P6, 'w') +...
                -pderiv(Dx_P6, 'x');
D_theta33_P6 =   pderiv(Dy_P6, 'y') + ...
               2*pderiv(Dz_P6, 'y') +...
                 pderiv(Dz_P6, 'z');
D_theta34_P6 = i*pderiv(Dy_P6, 'y') - i*pderiv(Dz_P6, 'z');
D_theta44_P6 =  -pderiv(Dy_P6, 'y') + ...
               2*pderiv(Dz_P6, 'y') +...
                -pderiv(Dz_P6, 'z');


            
           
z = theta(1) + i*theta(2);
zbar = theta(1) - i*theta(2);

w = theta(3) + i*theta(4);
wbar = theta(3) - i*theta(4)

max_11_P1 = abs(real(polyval(D_theta11_P1, z, zbar, w, wbar)));
max_12_P1 = abs(real(polyval(D_theta12_P1, z, zbar, w, wbar)));
max_22_P1 = abs(real(polyval(D_theta22_P1, z, zbar, w, wbar)));
max_33_P1 = abs(real(polyval(D_theta33_P1, z, zbar, w, wbar)));
max_34_P1 = abs(real(polyval(D_theta34_P1, z, zbar, w, wbar)));
max_44_P1 = abs(real(polyval(D_theta44_P1, z, zbar, w, wbar)));

max_11_P2 = abs(real(polyval(D_theta11_P2, z, zbar, w, wbar)));
max_12_P2 = abs(real(polyval(D_theta12_P2, z, zbar, w, wbar)));
max_22_P2 = abs(real(polyval(D_theta22_P2, z, zbar, w, wbar)));
max_33_P2 = abs(real(polyval(D_theta33_P2, z, zbar, w, wbar)));
max_34_P2 = abs(real(polyval(D_theta34_P2, z, zbar, w, wbar)));
max_44_P2 = abs(real(polyval(D_theta44_P2, z, zbar, w, wbar)));

max_11_P3 = abs(real(polyval(D_theta11_P3, z, zbar, w, wbar)));
max_12_P3 = abs(real(polyval(D_theta12_P3, z, zbar, w, wbar)));
max_22_P3 = abs(real(polyval(D_theta22_P3, z, zbar, w, wbar)));
max_33_P3 = abs(real(polyval(D_theta33_P3, z, zbar, w, wbar)));
max_34_P3 = abs(real(polyval(D_theta34_P3, z, zbar, w, wbar)));
max_44_P3 = abs(real(polyval(D_theta44_P3, z, zbar, w, wbar)));

max_11_P4 = abs(real(polyval(D_theta11_P4, z, zbar, w, wbar)));
max_12_P4 = abs(real(polyval(D_theta12_P4, z, zbar, w, wbar)));
max_22_P4 = abs(real(polyval(D_theta22_P4, z, zbar, w, wbar)));
max_33_P4 = abs(real(polyval(D_theta33_P4, z, zbar, w, wbar)));
max_34_P4 = abs(real(polyval(D_theta34_P4, z, zbar, w, wbar)));
max_44_P4 = abs(real(polyval(D_theta44_P4, z, zbar, w, wbar)));

max_11_P5 = abs(real(polyval(D_theta11_P5, z, zbar, w, wbar)));
max_12_P5 = abs(real(polyval(D_theta12_P5, z, zbar, w, wbar)));
max_22_P5 = abs(real(polyval(D_theta22_P5, z, zbar, w, wbar)));
max_33_P5 = abs(real(polyval(D_theta33_P5, z, zbar, w, wbar)));
max_34_P5 = abs(real(polyval(D_theta34_P5, z, zbar, w, wbar)));
max_44_P5 = abs(real(polyval(D_theta44_P5, z, zbar, w, wbar)));

max_11_P6 = abs(real(polyval(D_theta11_P6, z, zbar, w, wbar)));
max_12_P6 = abs(real(polyval(D_theta12_P6, z, zbar, w, wbar)));
max_22_P6 = abs(real(polyval(D_theta22_P6, z, zbar, w, wbar)));
max_33_P6 = abs(real(polyval(D_theta33_P6, z, zbar, w, wbar)));
max_34_P6 = abs(real(polyval(D_theta34_P6, z, zbar, w, wbar)));
max_44_P6 = abs(real(polyval(D_theta44_P6, z, zbar, w, wbar)));


P11_max = max_11_P1 + 2*max_12_P1 + max_22_P1;
P12_max = max_11_P2 + 2*max_12_P2 + max_22_P2;
P13_max = max_11_P3 + 2*max_12_P3 + max_22_P3;
P14_max = max_11_P4 + 2*max_12_P4 + max_22_P4;
P15_max = max_11_P5 + 2*max_12_P5 + max_22_P5;
P16_max = max_11_P6 + 2*max_12_P6 + max_22_P6;

P21_max = max_33_P1 + 2*max_34_P1 + max_44_P1;
P22_max = max_33_P2 + 2*max_34_P2 + max_44_P2;
P23_max = max_33_P3 + 2*max_34_P3 + max_44_P3;
P24_max = max_33_P4 + 2*max_34_P4 + max_44_P4;
P25_max = max_33_P5 + 2*max_34_P5 + max_44_P5;
P26_max = max_33_P6 + 2*max_34_P6 + max_44_P6;



theMaxes = [P11_max, ... 
            P12_max, ... 
            P13_max, ... 
            P14_max, ... 
            P15_max, ... 
            P16_max, ... 
            P21_max, ... 
            P22_max, ... 
            P23_max, ... 
            P24_max, ... 
            P25_max, ... 
            P26_max];
            
            
theMaxes_float = [sup(theMaxes(1)), ...
                  sup(theMaxes(2)), ...
                  sup(theMaxes(3)), ...
                  sup(theMaxes(4)), ...
                  sup(theMaxes(5)), ...
                  sup(theMaxes(6)), ...
                  sup(theMaxes(7)), ...
                  sup(theMaxes(8)), ...
                  sup(theMaxes(9)), ...
                  sup(theMaxes(10)), ...
                  sup(theMaxes(11)), ...
                  sup(theMaxes(12))];
              
              
[floatMax, maxIndex] = max(theMaxes_float);
theMax = theMaxes(maxIndex);
 
 A = theMax;
 
 
 
 
 
 
 