function cylinderNorm = polyCylinderNorm(tau, conjVectData)


thisVector = intval(zeros(size(conjVectData, 1), 1));

k = 1;
while k <= size(conjVectData, 1)
    thisConj = conjVectData(k);
    if thisConj == 1
       thisVector(k) = abs(tau(k)); 
       k = k+1;
    else
      thisVector(k) = sqrt(tau(k)^2 + tau(k+1)^2);
      thisVector(k+1) = sqrt(tau(k)^2 + tau(k+1)^2);
      k = k+2;
    end
end


cylinderNorm = norm(thisVector, inf);
