function f=s_intval(i, j, A, B, a, b, c)

%Local variables:

zero_int = intval('0');

s1 = zero_int;
s2 = zero_int;
s3 = zero_int;

s11 = zero_int;
s12 = zero_int;
s13 = zero_int;
s14 = zero_int;
s15 = zero_int;
s21 = zero_int;
s22 = zero_int;
s23 = zero_int;
s24 = zero_int;
s25 = zero_int;
s31 = zero_int;
s32 = zero_int;
s33 = zero_int;
s34 = zero_int;
s35 = zero_int;

s1_double = zero_int;
s2_double = zero_int;
s3_double = zero_int;

%j is zero sum:
if (j == 0) 
   for n = 1:(i-1)
     s1 = s1 + A(i-n+1, 1)*A(n+1, 1);
     s2 = s2 + A(i-n+1, 1)*B(n+1, 1);
     s3 = s3 + B(i-n+1, 1)*B(n+1, 1);
   end

%i is zero sum:
elseif(i == 0)
   for k = 1:(j-1)
     s1 = s1 + A(1, j-k+1)*A(1, k+1);
     s2 = s2 + A(1, j-k+1)*B(1, k+1);
     s3 = s3 + B(1, j-k+1)*B(1, k+1);
   end

%j is 1 sum:
elseif(j == 1)
    for n = 1:i
       s11 = s11 + A(i-n+1, 2)*A(n+1, 1);
       s21 = s21 + A(i-n+1, 2)*B(n+1, 1);
       s31 = s31 + B(i-n+1, 2)*B(n+1, 1);
    end
    for n = 0:(i-1)
        s12 = s12 + A(i-n+1, 1)*A(n+1, 2);
        s22 = s22 + A(i-n+1, 1)*B(n+1, 2);
        s32 = s32 + B(i-n+1, 1)*B(n+1, 2);
    end    
%i is i sum:
elseif(i ==1)
    for k = 1:j
       s11 = s11 + A(2, j-k+1)*A(1, k+1);
       s21 = s21 + A(2, j-k+1)*B(1, k+1);
       s31 = s31 + B(2, j-k+1)*B(1, k+1);
    end
    for k = 0:(j-1)
       s12 = s12 + A(1, j-k+1)*A(2, k+1);
       s22 = s22 + A(1, j-k+1)*B(2, k+1);
       s32 = s32 + B(1, j-k+1)*B(2, k+1);
    end    

%general sum (i,j >= 2):
else
    for n = 1:i
        s11 = s11 + A(i-n+1, j+1)*A(n+1, 1);
        s21 = s21 + A(i-n+1, j+1)*B(n+1, 1);
        s31 = s31 + B(i-n+1, j+1)*B(n+1, 1);
    end
    for k = 1:j
        s12 = s12 + A(i+1, j-k+1)*A(1, k+1);
        s22 = s22 + A(i+1, j-k+1)*B(1, k+1);
        s32 = s32 + B(i+1, j-k+1)*B(1, k+1);
    end
    for n = 1:(i-1)
        s13 = s13 + A(i-n+1, 1)*A(n+1, j+1);
        s23 = s23 + A(i-n+1, 1)*B(n+1, j+1);
        s33 = s33 + B(i-n+1, 1)*B(n+1, j+1);
    end
    for k = 1:(j-1)
       s14 = s14 + A(1, j-k+1)*A(i+1, k+1);
       s24 = s24 + A(1, j-k+1)*B(i+1, k+1);
       s34 = s34 + B(1, j-k+1)*B(i+1, k+1);
    end    
    for k = 1:(j-1)
        for n = 1:(i-1)
            s15 = s15 + A(i-n+1, j-k+1)*A(n+1, k+1);
            s25 = s25 + A(i-n+1, j-k+1)*B(n+1, k+1);
            s35 = s35 + B(i-n+1, j-k+1)*B(n+1, k+1);
        end
        %s1_double = s1_double + s15;
        %s2_double = s2_double + s25;
        %s3_double = s3_double + s35;
        
        %s15 = 0;
        %s25 = 0;
        %s35 = 0;
    end
end    

%s1 = s1 + s11 + s12 + s13 + s14 + s1_double;
%s2 = s2 + s21 + s22 + s23 + s24 + s2_double;
%s3 = s3 + s31 + s32 + s33 + s34 + s3_double;

s1 = s1 + s11 + s12 + s13 + s14 + s15;
s2 = s2 + s21 + s22 + s23 + s24 + s25;
s3 = s3 + s31 + s32 + s33 + s34 + s35;

f = -a*s1 - b*s2 - c*s3;





