function varargout = setDistIII(A, B, indexMap, tol)



temp1 = size(A);
temp2 = size(B);

numPointsA = temp1(1,1);
numPointsB = temp2(1,1);

minDist = inf;

for n = 1:numPointsA
    thisA = A(n, :);
    for m = 1:numPointsB
        
        thisB = B(m, :);
        thisDist = norm(thisA - thisB);
        if (thisDist < minDist)
            minDist = thisDist;
            index_A = n;
            index_B = indexMap(m);
        end
    end
end


varargout(1,1)={minDist};
varargout(2,1)={index_A};
varargout(3,1) = {index_B};