function f=setIntersection(A, B, tolerance)

temp1 = size(A);
temp2 = size(B);

rowsA = temp1(1);
rowsB = temp2(1);
pointsFound = 0;

I = zeros(rowsA, temp1(2));

for i = 1:rowsA
  setIntersection_i = i
  ofRows = rowsA
  pointsFoundSoFar = pointsFound
  x = A(i, :);
  for j = 1:rowsB
    y = B(j, :);
    dist = norm(x - y);
    if (dist <= tolerance)
      pointsFound = pointsFound + 1;
      %I(pointsFound, 1:temp1(2)) = y + 0.5*(x-y);
      I(pointsFound, 1:temp1(2)) = x;
    end    
  end    
end

reportPointsFound = pointsFound
Intersection = I(1:pointsFound, 1:temp1(2));

badIndices = ones(pointsFound);

for i = 1:(pointsFound - 1)
  if (badIndices(i) > 0)
    x = Intersection(i, :);
    for j = (i+1):pointsFound
        if (badIndices(j) > 0)
          y = Intersection(j, :);
          if (norm(x-y) <= 5*tolerance)
            %Intersection(i, :) = x + 0.5*(y-x);
            badIndices(j) = -1; 
          end    
        end
    end
  end
end

realGoodPoints = 0;

for i = 1:pointsFound
  if (badIndices(i) > 0)
    realGoodPoints = realGoodPoints + 1;
    goodIntersection(realGoodPoints, 1:temp1(2)) = Intersection(i, :);    
  end    
end

GoodPointsCheck = realGoodPoints

f = goodIntersection;




