function f = supNorm(ThePoints, p);

tempSize = size(ThePoints);
numPoints = tempSize(1,1);

theNorm = 0;
for n = 1:numPoints
   thisNorm = norm(ThePoints(n, 1:3) - [p(1), p(2), p(3)]);
   if (thisNorm > theNorm)
       theNorm = thisNorm;
   end
end

f = theNorm;
