function varargout = twoDimManifold_3DHenon(a, b, c, alpha, tau, ...
    N, p, lambda_1, lambda_2, xi_1, xi_2, scale1, scale2);


vect_1 = scale1*xi_1;
vect_2 = scale2*xi_2;


%Assumes Complex conjugate Eigenvalues:
[A, B, C] = parametrizationCoefficents_complexCase(N, ...
    p, vect_1, vect_2, lambda_1, tau, a, b, c);

varargout(1,1)={A};
varargout(2,1)={B};
varargout(3,1)={C};