function f = twoDu_parmInterval(A, B, C, N, lambda_u, r0, step, eps_tol, ...
    alpha, tau, a, b, c)



theError = 1;
counter = 0;
theta_step = 500;
thetas = (0.0:theta_step:(2*pi));


while ((theError > eps_tol) & (counter <= 20))
    r = r0 - counter*step;    
    thisMax = 0;
    for j = 1:n
        thisRay = r*[cos(thetas(j)), sin(thetas(j))]; 
        thisRay_s_x(i,j) = thisRay(1);
        thisRay_s_y(i,j) = thisRay(2);    
  
        test_s = evaluate_complexCase(thisRay(1), thisRay(2), ...
            A, B, C, N);
 
        thisError = u_errorNorm(thisRay(1), thisRay(2), ...
            A, B, C, N, alpha, tau, a, b, c, lambda_u);
        
        if (thisError > thisMax )
            thisMax = thisError; 
        end
    end
    theError = thisError;
    counter = counter + 1;
end

f = r;





