function f = uError_intval_2D(A, B, C, alpha, tau, ...
                              a, b, c, lambda_1, lambda_2, N, r);


                          
fA = B;
fB = C;
fC = -alpha + A - tau*B - a*B*B - b*B*C - c*C*C;


[A_lambda, B_lambda, C_lambda] = compose_P_lambda_intval_2D(N, A, B, C, 1/lambda_1, 1/lambda_2);


E1 = mag(fA - A_lambda);
E2 = mag(fB - B_lambda);
E3 = mag(fC - C_lambda);

error1 = polyval(E1, r, r);
error2 = polyval(E2, r, r);
error3 = polyval(E3, r, r);


%error = 0;
%for n = 0:N
%   for m = 0:N
%       error = error + norm([E1(n+1, m+1), E2(n+1, m+1), E3(n+1, m+1)])*r^(n+m);
%   end
%end

f = max([sup(error1), sup(error2), sup(error3)]);

